# $Revision: 1.37 $, $Date: 2006/03/19 17:08:37 $
Summary:	A server process which provides boot information to diskless clients
Summary(pl):	Demon zapewniajcy informacje potrzebne do uruchomienia bezdyskowych klientw
Name:		bootparamd
Version:	0.17
Release:	13
License:	BSD
Group:		Networking/Daemons
Source0:	ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	00d211115b11aec2e214b701fe72f397
Source1:	%{name}.init
Patch0:		%{name}-install_man_fix.patch
BuildRequires:	cpp
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	portmap
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The bootparamd process provides bootparamd, a server process which
provides the information needed by diskless clients in order for them
to successfully boot. Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map. Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the rarp and tftp servers.
This bootparamd server process is compatible with SunOS bootparam
clients and servers which need that boot server code.

%description -l pl
Pakiet zawiera program bootparamd - demon, ktry zapewnia informacje
potrzebne dla uruchomienia bezdyskowych klientw. bootparamd szuka w
/etc/bootparams wpisu dla konkretnego klienta; jeeli plik ten nie
istnieje, szuka odpowiedniej mapy NIS. Niektre sieciowe bootloadery
(np. Suna) polegaj na specjalnym kodzie bootujcym na serwerze. Ten
bootparamd jest kompatybilny z klientami bootparam na SunOS-ie i
serwerami potrzebujcymi tego kodu.

%prep
%setup -q -n netkit-%{name}-%{version}
%patch -p1

%build
./configure \
	--with-c-compiler="%{__cc}"
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rpc.bootparamd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rpc.bootparamd
%service rpc.bootparamd restart "rpc.bootparamd server"

%preun
if [ "$1" = "0" ]; then
	%service rpc.bootparamd stop
	/sbin/chkconfig --del rpc.bootparamd
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(754,root,root) /etc/rc.d/init.d/rpc.bootparamd
%attr(755,root,root) %{_sbindir}/rpc.bootparamd
%attr(755,root,root) %{_bindir}/callbootd
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bootparamd.spec,v $
Revision 1.37  2006/03/19 17:08:37  glen
- BR: cpp for rpcgen
- unify service name and service lockfile
- use %service
- rel 13

Revision 1.36  2006/02/24 14:57:25  glen
- quote cc

Revision 1.35  2006/02/24 14:56:48  glen
- add todo

Revision 1.34  2004/09/26 19:00:13  darekr
- add %doc

Revision 1.33  2004/08/10 19:48:29  averne
- rel 12

Revision 1.32  2003/11/23 05:23:36  speedy
- release 11

Revision 1.31  2003/08/06 16:37:37  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.30  2003/07/07 10:42:57  qboosh
- more specific Requires

Revision 1.29  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.28  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:46:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/04/25 15:54:56  arturs
- fixed a small typo

Revision 1.25  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:12:31  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2002/01/08 15:04:42  qboosh
- s/postun/preun/ (init.d/bootparamd must exist to stop daemon); release 10

Revision 1.22  2001/09/24 12:52:52  kloczek
- release 9.

Revision 1.21  2001/09/24 10:07:29  qboosh
- Requires: /sbin/chkconfig changes to Prereq
- pl description

Revision 1.20  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.17  2001/05/13 17:20:25  kloczek
- release 18: updated Source url.

Revision 1.16  2001/05/02 02:43:01  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.15  2001/02/23 05:16:55  kloczek
- release 7: Requires for /sbin/chkconfig and Prereq: for rc-scripts.

Revision 1.14  2001/01/25 20:03:21  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/23 00:48:43  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/11/08 00:54:01  kloczek
- release 6,
- added install_man_fix,
- use %{__cc} macro instead directly gcc,
- use new rpm automation,
- added man pages level 5.

Revision 1.11  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.10  2000/08/24 21:24:04  pascalek
- update to 0.17

Revision 1.9  2000/06/12 14:22:11  baggins
- typo

Revision 1.8  2000/06/10 08:36:23  kloczek
- standarised %post/%preun,
- cosmetics.

Revision 1.7  2000/06/09 16:56:23  baggins
- updated to 0.16
- removed unnecassry patch
- gzip man pages

Revision 1.6  2000/06/09 07:22:48  kloczek
- added using %{__make} macro.

Revision 1.5  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/02/02 11:05:19  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.1  1999/08/19 20:07:25  baggins
- almost raw
